<?php
/**
 * 404 Page
 *
 * @package reflector
 * @since 1.0
 *
 */
$style         = cs_get_option('image_404') ? cs_get_option('image_404') : '#f8f8f8';
$error_overlay = cs_get_option('error_overlay') ? cs_get_option('error_overlay') : '';
$title = cs_get_option('error_title') ? cs_get_option('error_title') : esc_html__('Page not found', 'reflector');
$error_light   = cs_get_option('error_light') ? 'light' : '';
$btntext     = cs_get_option('error_btn_text') ? cs_get_option('error_btn_text') : esc_html__('Go home', 'reflector');
$btn_style = cs_get_option('btn_style') ? cs_get_option('btn_style') : 'a-btn-2';

get_header(); ?>
	<div class="error-wrap <?php echo esc_attr($error_light); ?>" style="background:<?php echo esc_attr($style); ?>;">
		<?php if ( $error_overlay ) { ?>
			<div class="error-overlay"></div>
		<?php } ?>
		<?php if ( cs_get_option('image_404') ):
			echo reflector_the_lazy_load_flter(cs_get_option('image_404'), array(
				'class' => 's-img-switch',
				'alt'   => esc_attr__('404 image', 'reflector')
			));
		endif; ?>
		<h2 class="bigtext"><?php esc_html_e('404', 'reflector'); ?></h2>
		<?php if ( !empty($title) ) { ?>
			<h4 class="title"><?php echo esc_html($title); ?></h4>
		<?php } ?>
		<a href="<?php echo esc_url(home_url('/')); ?>"
		   class="<?php echo esc_attr($btn_style); ?>"><?php echo esc_html($btntext); ?></a>
	</div>
<?php get_footer();
