<?php
/**
 * Archive Template
 */

$bg_img_blog = cs_get_option('bg_img_blog') ? cs_get_option('bg_img_blog') : '';
$title = cs_get_option('blog_title') ? cs_get_option('blog_title') : esc_html__('BLOG', 'reflector');
$count = isset( $posts->post_count ) && ! empty( $posts->post_count ) ? $posts->post_count : '0';
$count_text = $count == '1' ? esc_html__( 'result found', 'reflector' ) : esc_html__( 'results found', 'reflector' );

get_header(); ?>
    <div class="post-little-banner with-parallax">
		<?php if ( ! empty( $bg_img_blog ) ) { ?>
            <img src="<?php echo esc_url( $bg_img_blog ); ?>" alt="<?php esc_attr_e( 'Blog', 'reflector' ); ?>"
                 class="s-img-switch">
		<?php }
		if ( is_search() ) { ?>
            <div class="page-title-wrap">
                <h3 class="page-title-blog"><?php esc_html_e( 'showing results for ', 'reflector' ); ?>
                    <span>"<?php echo esc_html( $term ); ?>"</span></h3>
                <div class="count-results"><?php echo esc_html( $count . ' ' . $count_text ); ?></div>
            </div>
		<?php } else { ?>
            <div class="page-title-wrap">
                <h3 class="page-title-blog"><?php echo esc_html( $title ); ?></h3>
            </div>
		<?php } ?>
    </div>

<?php

if ( have_posts() ) :
	get_template_part( 'template-parts/blog/blog', 'masonry' . '-category' );
	wp_enqueue_style( 'blog-list', REFLECTOR_T_URI . '/assets/css/blog/blog-list.css' );

else : ?>
    <div class="search-page">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h2 class="title"><?php esc_html_e( 'Sorry, no posts matched your criteria.', 'reflector' ); ?></h2>
                    <div class="search-form form btn-style-1">
						<?php get_search_form( true ); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif;

get_footer();