<?php 
header("Content-type: text/css; charset: UTF-8");
echo cs_get_option( 'custom-css' ); ?>

<?php
$style = '';
///HEADER LOGO//
if ( cs_get_option('site_logo') == 'txtlogo' ) {
    //Header logo text
    if ( cs_get_option('text_logo_style') == 'custom' ) {

        $style .= 'a.logo span{';
        $style .=  cs_get_option('text_logo_color') && cs_get_option('text_logo_color') !== '#fff' ? 'color:' . cs_get_option('text_logo_color') . ' !important;' : '';
        $style .=  cs_get_option('text_logo_width') ? 'width:' . cs_get_option('text_logo_width') . ' !important;' : '';
        $style .=  cs_get_option('text_logo_font_size') ? 'font-size:' . cs_get_option('text_logo_font_size') . ' !important;' : '';
        $style .= '}';
    }

} else {
    //Header logo image
    if ( cs_get_option('img_logo_style') == 'custom' ) {
        $style .= '.logo img {';
        if (cs_get_option('img_logo_width')) {
            $logo_width = is_integer(cs_get_option('img_logo_width')) ? cs_get_option('img_logo_width') . 'px' : cs_get_option('img_logo_width');
             $style .=  cs_get_option('img_logo_width') ? 'width:' . esc_attr($logo_width) . ' !important;' : '';
        }
        if (cs_get_option('img_logo_height')) {
            $logo_height = is_integer(cs_get_option('img_logo_height')) ? cs_get_option('img_logo_height') . 'px' : cs_get_option('img_logo_height');
             $style .=  cs_get_option('img_logo_height') ? 'height:' . esc_attr( $logo_height ) . ' !important;' : '';
             $style .=  cs_get_option('img_logo_height') ? 'max-height:' . cs_get_option('img_logo_height') . ' !important;' : '';
        }
        $style .= '}';
    }
}
echo esc_html($style);

$post_id = isset($_GET['post']) && is_numeric($_GET['post']) ? $_GET['post'] : '' ;

if(!empty($post_id)){
 $meta_data = get_post_meta( $post_id, '_custom_page_options', true );
 $meta_data_portfolio = get_post_meta( $post_id, 'reflector_portfolio_options', true );
 $meta_data_events    = get_post_meta( $post_id, 'reflector_events_options', true );


 if(!empty($meta_data['padding_desktop'])){ ?>
.page-id-<?php echo esc_attr($post_id); ?> .padding-desc .header_top_bg {
	margin-right: -<?php echo esc_attr($meta_data['padding_desktop']); ?>;
	margin-left: -<?php echo esc_attr($meta_data['padding_desktop']); ?>;
}

.page-id-<?php echo esc_attr($post_id); ?> .padding-desc,
.page-id-<?php echo esc_attr($post_id); ?> .padding-desc .vc_row,
.page-id-<?php echo esc_attr($post_id); ?> .padding-desc + #footer > div {
	padding-right: <?php echo esc_attr($meta_data['padding_desktop']); ?>;
	padding-left: <?php echo esc_attr($meta_data['padding_desktop']); ?>;
}

<?php }

 if(!empty($meta_data['padding_mobile'])){ ?>

@media only screen and (max-width: 767px) {
	.page-id-<?php echo esc_attr($post_id); ?> .padding-desc .header_top_bg {
		margin-right: -<?php echo esc_attr($meta_data['padding_mobile']); ?>;
		margin-left: -<?php echo esc_attr($meta_data['padding_mobile']); ?>;
	}

	.page-id-<?php echo esc_attr($post_id); ?> .padding-mob,
	.page-id-<?php echo esc_attr($post_id); ?> .padding-mob .vc_row,
	.page-id-<?php echo esc_attr($post_id); ?> .padding-mob + #footer > div {
		padding-right: <?php echo esc_attr($meta_data['padding_mobile']); ?>;
		padding-left: <?php echo esc_attr($meta_data['padding_mobile']); ?>;
	}
}

@media (min-width: 768px) {
	.right-menu {
		width: 100%;
		margin: 0;
		max-width: 100%;
	}

	.header_top_bg .col-xs-12 {
		padding: 0;
	}
}

<?php }
} ?>

<?php

//THEME COLORS
$change_main_colors = cs_get_option('change_main_colors') ? cs_get_option('change_main_colors') : '';

if ($change_main_colors) {
		$primary_color = cs_get_option('primary_color') ? cs_get_option('primary_color') : '#b9a893';
		$light_primary_color = cs_get_option('light_primary_color') ? cs_get_option('light_primary_color') : '#f8f6f5';
		$light_color = cs_get_option('light_color') ? cs_get_option('light_color') : '#fff';
		$black_color = cs_get_option('black_color') ? cs_get_option('black_color') : '#222';
		$dark_color = cs_get_option('dark_color') ? cs_get_option('dark_color') : '#4c4c4c';
		$grey_color = cs_get_option('grey_color') ? cs_get_option('grey_color') : '#888';
		$light_grey_color = cs_get_option('light_grey_color') ? cs_get_option('light_grey_color') : '#aaa'; ?>

		body{
			--light-color: <?php echo esc_attr($light_color); ?>;
			--black-color: <?php echo esc_attr($black_color); ?>;
			--dark-color: <?php echo esc_attr($dark_color); ?>;
			--main-color: <?php echo esc_attr($primary_color); ?>;
			--light-main-color: <?php echo esc_attr($light_primary_color); ?>;
			--grey-color: <?php echo esc_attr($grey_color); ?>;
			--light-grey-color: <?php echo esc_attr($light_grey_color); ?>;
		}

<?php }


//TYPOGRAPHY

$options = apply_filters( 'cs_get_option', get_option( CS_OPTION ) );

function get_str_by_number($str){
$number = preg_replace("/[0-9|\.]/", '', $str);
return $number;
}

foreach ($options as $key => $item) {
if (is_array($item)) {
	if (!empty($item['variant']) && $item['variant'] == 'regular') {
		$item['variant'] = 'normal';
	}
}
$options[$key] = $item;
}

function calculateFontWeight( $fontWeight ) {
$fontWeightValue = '';
$fontStyleValue = '';

switch( $fontWeight ) {
	case '100':
		$fontWeightValue = '100';
		break;
	case '100italic':
		$fontWeightValue = '100';
		$fontStyleValue = 'italic';
		break;
	case '300':
		$fontWeightValue = '300';
		break;
	case '300italic':
		$fontWeightValue = '300';
		$fontStyleValue = 'italic';
		break;
	case '500':
		$fontWeightValue = '500';
		break;
	case '500italic':
		$fontWeightValue = '500';
		$fontStyleValue = 'italic';
		break;
	case '600italic':
		$fontWeightValue = '600';
		$fontStyleValue = 'italic';
		break;
	 case '600':
		$fontWeightValue = '600';
		break;
	case '700':
		$fontWeightValue = '700';
		break;
	case '700italic':
		$fontWeightValue = '700';
		$fontStyleValue = 'italic';
		break;
	case '900':
		$fontWeightValue = '900';
		break;
	case '900italic':
		$fontWeightValue = '900';
		$fontStyleValue = 'italic';
		break;
	case 'italic':
		$fontStyleValue = 'italic';
		break;
}

return array('weight' => $fontWeightValue, 'style' => $fontStyleValue);
}

$all_button_font = $options['all_button_font_family']; ?>

.a-btn-1,
.a-btn-2,
.a-btn-3,
.a-btn-4,
.a-btn-5,
.a-btn-6,
.a-btn-7,
.a-btn-8,
.a-btn-9,
.comments input[type="submit"],
.comments-form input[type="submit"],
.form input[type="submit"] {
<?php
if(!empty($all_button_font['family'])){
	echo "font-family: \"{$all_button_font['family']}\" !important;";
}

$variant = calculateFontWeight( $all_button_font['variant'] );
if(!empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif;

$button_font_style = get_str_by_number($all_button_font['variant']);
if(!empty($button_font_style) && !empty($all_button_font['family'])){
	echo "font-style:{$button_font_style} !important;";
}

$all_button_font_size = get_number_str($options['all_button_font_size']);
if(!empty($all_button_font_size)){
	echo "font-size: {$all_button_font_size}px !important;";
}

$all_button_line_height = get_number_str($options['all_button_line_height']);
if(!empty($all_button_line_height)){
   echo "line-height:{$all_button_line_height}px !important;";
}
if(!empty($options['all_button_letter_spacing'])){
	echo "letter-spacing:{$options['all_button_letter_spacing']} !important;";
} ?>
}

<?php $all_links_font= $options['all_links_font_family']; ?>
a {
<?php if(!empty($all_links_font['family'])){
	echo "font-family: \"{$all_links_font['family']}\" !important;";
}
$variant = calculateFontWeight( $all_links_font['variant'] );
if(!empty($all_links_font['family']) && !empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif;

$all_links_font_size = get_number_str($options['all_links_font_size']);
if(!empty($all_links_font_size)){
	echo "font-size: {$all_links_font_size}px !important;" ;
}

$all_links_line_height = get_number_str($options['all_links_line_height']);
if(!empty($all_links_line_height)){
	echo "line-height:{$all_links_line_height}px !important;";
}

$all_links_letter_spacing = get_number_str($options['all_links_letter_spacing']);
if(!empty($all_links_letter_spacing)){
	echo "letter-spacing:{$all_links_letter_spacing} !important;";
} ?>
}


<?php function get_number_str($str){
    $number = preg_replace("/[^0-9|\.]/", '', $str);
    return $number;
}


/* FOR TITLE H1 - H6 */
if ( cs_get_option('heading') ) {
    foreach (cs_get_option('heading') as $title) {
        $font_family = $title['heading_family'];
        echo esc_attr($title['heading_tag']); ?>
,
<?php echo esc_attr($title['heading_tag']); ?>
a {
<?php if($font_family['family']){
	echo "font-family: {$font_family['family']} !important;";
}
$one_title_size = get_number_str($title['heading_size']);
if($one_title_size){
	echo "font-size: {$one_title_size}px !important;\n line-height: normal;";
}
$variant = calculateFontWeight( $font_family['variant'] );
if(!empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif; ?>
}

<?php }
} ?>

#topmenu ul li a {
<?php if ( cs_get_option('menu_item_family') ) {

	$font_family = cs_get_option('menu_item_family');
	if(!empty($font_family['family'])){ ?> font-family: "<?php echo esc_html( $font_family['family'] ); ?>", sans-serif !important;
<?php }

$variant = calculateFontWeight( $font_family['variant'] );
if(!empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif;
}
if ( cs_get_option('menu_item_size') ) {
$menu_item_size = get_number_str(cs_get_option('menu_item_size'));  ?> font-size: <?php echo esc_html( $menu_item_size ); ?>px !important;
<?php }
if ( cs_get_option('menu_line_height') ) {
	$menu_line_height = get_number_str(cs_get_option('menu_line_height'));  ?> line-height: <?php echo esc_html( $menu_line_height ); ?>px !important;
<?php } ?>
}

#topmenu ul ul li a {
<?php if ( cs_get_option('submenu_item_family') ) {
	$font_family = cs_get_option('submenu_item_family');
	if(!empty($font_family['family'])){ ?> font-family: "<?php echo esc_html( $font_family['family'] ); ?>", sans-serif !important;
<?php }
$variant = calculateFontWeight( $font_family['variant'] );
if(!empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif;
}
if ( cs_get_option('submenu_item_size') ) {
$submenu_item_size = get_number_str(cs_get_option('submenu_item_size')); ?> font-size: <?php echo esc_html( $submenu_item_size ); ?>px !important;
<?php }

if ( cs_get_option('submenu_line_height') ) {
	$submenu_line_height = get_number_str(cs_get_option('submenu_line_height'));  ?> line-height: <?php echo esc_html( $submenu_line_height ); ?>px !important;
<?php } ?>
}
