<?php

function reflector_ocdi_import_files()
{
    return array(
        array(
            'import_file_name'             => 'Reflector Demo Import',
            'categories'                   => array('Category 1'),
            'local_import_file'            => REFLECTOR_T_PATH . '/one-click-import/demos/demo-data.xml',
            'local_import_widget_file'     => REFLECTOR_T_PATH . '/one-click-import/demos/widgets.wie',
            'local_import_customizer_file' => REFLECTOR_T_PATH . '/one-click-import/demos/customizer.dat',
            'import_preview_image_url'     => REFLECTOR_T_URI . '/one-click-import/demos/preview_image.png',
            'import_notice'                => __('After you import this demo, you will have to setup the slider separately.', 'reflector'),
            'preview_url'                => 'https://reflector.foxthemes.me/',
        ),
    );
}
add_filter('ocdi/import_files', 'reflector_ocdi_import_files');


function reflector_ocdi_after_import_setup()
{
    // Assign menus to their locations.
    $main_menu = get_term_by('name', 'Menu 1', 'nav_menu');

    set_theme_mod(
        'nav_menu_locations',
        array(
            'primary-menu' => $main_menu->term_id,
        )
    );


    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title('Main home');
    $blog_page_id  = get_page_by_title('Blog');

    update_option('show_on_front', 'page');
    update_option('page_on_front', $front_page_id->ID);
    update_option('page_for_posts', $blog_page_id->ID);

    flush_rewrite_rules();
}

add_action('ocdi/after_import', 'reflector_ocdi_after_import_setup');

add_filter('ocdi/disable_pt_branding', '__return_true');
