<?php
/**
 * Custom Page Template
 *
 * @package reflector
 * @since 1.0
 *
 */

get_header();
$page_meta = get_post_meta( $post->ID, '_custom_page_options' );
$protected = '';

if ( post_password_required() ) {
	$protected = 'protected-page';
}

while ( have_posts() ) : the_post();

	$content = get_the_content();
	if ( ! strpos( $content, 'vc_' ) ) {

	    if(!reflector_is_realy_woocommerce_page()){
		    wp_enqueue_style('post-blog', REFLECTOR_T_URI . '/assets/css/blog/post-blog.css');
		    wp_enqueue_style('no_vc_page', REFLECTOR_T_URI . '/assets/css/blog/no_vc_page.css');

	    }

        $container_classes = function_exists( 'WC' ) && ( is_cart() || is_checkout() || is_account_page() ) ? 'content-width-lg_in_line full-w full-w-p' : '';

        if ( function_exists( 'WC' ) && ( is_cart() || is_checkout() || is_account_page() ) ) { ?>
            <div class="woocommerce-products-header">
                <h1 class="woocommerce-products-header__title page-title"><?php the_title(); ?></h1>
				<?php woocommerce_breadcrumb(); ?>
            </div>
		<?php } ?>

        <div class="single-page-wrap padd-small">
            <div class="container <?php echo esc_attr($container_classes); ?>">
                <div class="row">
                    <div class="col-12">
                        <div class="post-details">
                            <div class="single-content <?php echo esc_attr( $protected ); ?>">
                                <div class="single-content-wrapper">
		                            <?php if ( !(function_exists( 'WC' ) && ( is_cart() || is_checkout() || is_account_page() )) ) { ?>
                                        <div class="main-top-content margin-small">
                                            <?php the_title( '<h2 class="title">', '</h2>' ); ?>
                                        </div>
		                            <?php } ?>
                                    <div class="post-content">
										<?php
										the_content();

										wp_link_pages( 'link_before=<span class="pages">&link_after=</span>&before=<div class="post-nav"> <span>' . esc_html__( "Page:", 'reflector' ) . ' </span> &after=</div>' ); ?>
                                    </div>
									<?php if ( comments_open() ) { ?>
                                        <div class="comments main btn-style-1">
											<?php comments_template( '', true ); ?>
                                        </div>
									<?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
	<?php } else { ?>
		<?php

		if ( is_page() || is_home() ) {
			$post_id = get_queried_object_id();
		} else {
			$post_id = get_the_ID();
		}

		$meta_data       = get_post_meta( $post_id, '_custom_page_options', true );
		$menu_main_style = cs_get_option( 'menu_style' );

		if ( isset( $meta_data['change_menu'] ) && $meta_data['change_menu'] && isset( $meta_data['menu_style'] ) ) {
			$menu_main_style = $meta_data['menu_style'];
		}
		$class_container = $menu_main_style == 'static_aside' ? '-fluid' : '';

		$class_container .= ! empty( $page_meta[0]['disable_container_padding'] ) ? ' no-padd' : ''; ?>

        <div class="hero-wrapper">
            <div class="container<?php echo esc_attr( $class_container ); ?>">
                <div class="hero">
					<?php the_content(); ?>
                </div>
            </div>
        </div>

	<?php }
endwhile;
get_footer();
