<?php
/**
 * Single portfolio
 *
 * @package reflector
 * @since 1.0
 *
 */
get_header();

$protected = post_password_required() ? 'protected-page' : '';

while (have_posts()) : the_post();

	global $post;
	$portfolio_meta = get_post_meta($post->ID, 'reflector_portfolio_options', true);
	$port_style = isset($portfolio_meta['portfolio_style']) ? $portfolio_meta['portfolio_style'] : 'parallax';

	if ( post_password_required($post) ) {
		$protected_title = cs_get_option('portfolio_protect_title') ? cs_get_option('portfolio_protect_title') : esc_html__('Protected gallery', 'reflector');
        $excerpt_protected = isset($portfolio_meta['protected_descr']) && !empty($portfolio_meta['protected_descr']) ? $portfolio_meta['protected_descr'] : '';
        $protected_bg = isset($portfolio_meta['protected_bg']) ? $portfolio_meta['protected_bg'] : ''; ?>

        <div class="protected-page">
	        <?php if(!empty($protected_bg)){ ?>
                <div class="bg-protected-wrap">
                    <img src="<?php echo esc_url($protected_bg); ?>" alt="<?php esc_html_e('Protected gallery', 'reflector'); ?>" class="s-img-switch">
                </div>
	        <?php } ?>
            <div class="protected-content-wrap">
                <div class="protected-left">
			        <?php if(get_post_thumbnail_id($post->ID)){ ?>
                        <div class="img-wrap-protected">
					        <?php $image_id = get_post_thumbnail_id($post->ID);
					        $url = wp_get_attachment_image_url($image_id, 'full');
					        $image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true);

					        echo reflector_the_lazy_load_flter( $url, array(
						        'class' => 'img-protected',
						        'alt' => $image_alt
					        ) ); ?>

                        </div>
			        <?php } ?>
                    <div class="title-modern-protected">
				        <?php the_title(); ?>
                    </div>

			        <?php if(!empty($excerpt_protected)){ ?>
                        <div class="excerpt">
					        <?php echo esc_html($excerpt_protected); ?>
                        </div>
			        <?php } ?>
                </div>
                <div class="protected-right">
			        <?php  if(!empty($protected_title)) { ?>
                        <h3 class="protected-title"><?php echo esc_html($protected_title); ?></h3>
				        <?php
			        }
			        the_content(); ?>
                </div>
            </div>
        </div>
		<?php
	} else { ?>
			<div class="portfolio-details <?php echo esc_attr($port_style); ?> ">
				<?php get_template_part('template-parts/portfolio/portfolio', $port_style);
				wp_enqueue_style('portfolio-' . $port_style, REFLECTOR_T_URI . '/assets/css/portfolio/portfolio-' . $port_style . '.css'); ?>
			</div>
		<?php
	}

endwhile;

get_footer(); 