<?php
/**
 * Single space
 *
 * @package reflector
 * @since 1.0
 *
 */
get_header();

while (have_posts()) : the_post();

	global $post;
	$space_meta = get_post_meta($post->ID, 'reflector_space_options', true);
	$gallery = isset($space_meta['gallery']) && !empty($space_meta['gallery']) ? $space_meta['gallery'] : '';
	$title = get_the_title();
	$content = get_the_content();

	wp_enqueue_style('space-details', REFLECTOR_T_URI . '/assets/css/space/space-details.css');  ?>

	<div class="space-details">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<?php if(!empty($title)){ ?>
						<div class="title">
							<?php echo wp_kses_post($title); ?>
						</div>
					<?php } ?>
				</div>
			</div>
			<div class="row">
				<div class="col-12">
					<?php if(!empty($content)){ ?>
						<div class="content-wrap">
							<?php the_content(); ?>
						</div>
					<?php } ?>
				</div>
			</div>
			<div class="row">
				<div class="col-12">
					<?php if(!empty($gallery)){
						$gallery = explode( ',', $gallery ); ?>
						<div class="gallery-wrap light-gallery">
							<?php foreach ( $gallery as $image ) {
								$image_url = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_url( $image ) : '';
								$image_alt = get_post_meta( $image, '_wp_attachment_image_alt', true );
								?>
								<a href="<?php echo esc_url($image_url); ?>" class="gallery-item">
									<?php echo reflector_the_lazy_load_flter( $image_url, array(
										'class' => 's-img-switch',
										'alt'   => $image_alt,
									) ); ?>
								</a>
							<?php } ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>

<?php


endwhile;

get_footer();