<?php

/*
* WHIZZY POST SINGLE
*/

$protected = post_password_required() ? 'protected-page' : '';
$get_id = get_the_ID();
$whizzy_meta = get_post_meta( $get_id, 'reflector_whizzy_options', true );
$whizzy_clients = array();
$whizzy_clients = get_the_terms( $get_id, 'whizzy-client' );

if ( post_password_required( $get_id ) ) {
	$protected_title   = cs_get_option( 'portfolio_protect_title' ) ? cs_get_option( 'portfolio_protect_title' ) : esc_html__( 'Protected gallery', 'reflector' );
	$excerpt_protected = isset( $whizzy_meta['protected_descr'] ) && ! empty( $whizzy_meta['protected_descr'] ) ? $whizzy_meta['protected_descr'] : '';
	$protected_bg      = isset( $whizzy_meta['protected_bg'] ) ? $whizzy_meta['protected_bg'] : ''; ?>

    <div class="protected-page">
		<?php if ( ! empty( $protected_bg ) ) { ?>
            <div class="bg-protected-wrap">
                <img src="<?php echo esc_url( $protected_bg ); ?>"
                     alt="<?php esc_attr_e( 'Protected gallery', 'reflector' ); ?>" class="s-img-switch">
            </div>
		<?php } ?>
        <div class="protected-content-wrap">
            <div class="protected-left">
				<?php if ( get_post_thumbnail_id( $post->ID ) ) { ?>
                    <div class="img-wrap-protected">
						<?php $image_id = get_post_thumbnail_id( $post->ID );
						$url            = wp_get_attachment_image_url( $image_id, 'full' );
						$image_alt      = get_post_meta( $image_id, '_wp_attachment_image_alt', true );

						echo reflector_the_lazy_load_flter( $url, array(
							'class' => 'img-protected',
							'alt'   => $image_alt
						) ); ?>

                    </div>
				<?php } ?>
                <div class="title-modern-protected">
					<?php the_title(); ?>
                </div>

				<?php if ( ! empty( $excerpt_protected ) ) { ?>
                    <div class="excerpt">
						<?php echo esc_html( $excerpt_protected ); ?>
                    </div>
				<?php } ?>
            </div>
            <div class="protected-right">
				<?php if ( ! empty( $protected_title ) ) { ?>
                    <h3 class="protected-title"><?php echo esc_html( $protected_title ); ?></h3>
					<?php
				}
				the_content(); ?>
            </div>
        </div>
    </div>
	<?php
}
else {
	if ( ! empty( $whizzy_clients ) ) { ?>
        <div class="whizzy-client-banner">
			<?php if ( get_post_thumbnail_id( $post->ID ) ) {
				$image_id = get_post_thumbnail_id( $post->ID );
				$image    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, 'full' ) : '';
				$alt      = get_the_title(); ?>

                <img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $alt ); ?>" class="s-img-switch">
			<?php }

			$term_data      = get_term_meta( $whizzy_clients[0]->term_id, 'whizzy_clients_options', true );
			$client_img_url = ! empty( $term_data ) ? wp_get_attachment_image_url( $term_data['client_photo'], 'medium' ) : '';
			if ( ! empty( $client_img_url ) && ! empty( $whizzy_clients[0]->name ) ) { ?>
                <div class="img-wrap">
                    <img src="<?php echo esc_url( $client_img_url ); ?>"
                         alt="<?php echo esc_attr( $whizzy_clients[0]->name ); ?>" class="s-img-switch">
                </div>
			<?php }

			if ( isset( $whizzy_clients[0]->name ) && ! empty( $whizzy_clients[0]->name ) ) { ?>
                <div class="client-name"><?php echo esc_html( $whizzy_clients[0]->name ); ?></div>
			<?php }
			if ( isset( $whizzy_clients[0]->description ) && ! empty( $whizzy_clients[0]->description ) ) { ?>
                <div class="client-description"><?php echo esc_html( $whizzy_clients[0]->description ); ?></div>
			<?php } ?>


        </div>
	<?php } ?>

    <div class="container whizzy-content-wrap">
        <div class="row">
            <div class="col-12">
                <div class="single-content-wrapper">
	                <?php the_content();  ?>
                </div>
            </div>
        </div>
    </div>

	<?php
}

