<?php
//BLOG MASONRY

global $wp_query;

$content_size_class = ( ! function_exists( 'cs_framework_init' ) && is_active_sidebar( 'sidebar' ) ) || cs_get_option( 'sidebar' ) && in_array( 'blog', cs_get_option( 'sidebar' ) ) ? 'col-12 col-lg-8' : 'col-12';
$sidebar_class      = ( ! function_exists( 'cs_framework_init' ) && is_active_sidebar( 'sidebar' ) ) || cs_get_option( 'sidebar' ) && in_array( 'blog', cs_get_option( 'sidebar' ) ) ? ' sidebar-show' : 'sidebar-no';
$post_size_class    = ( ! function_exists( 'cs_framework_init' ) && is_active_sidebar( 'sidebar' ) ) || cs_get_option( 'sidebar' ) && in_array( 'blog', cs_get_option( 'sidebar' ) ) ? 6 : 4; ?>

<div class="blog-wrapper <?php echo esc_attr( $sidebar_class ); ?>">
    <div class="container">
        <div class="row">
            <div class="blog <?php echo esc_attr( $content_size_class ); ?>">
                <div class="izotope-blog">
					<?php while ( have_posts() ) :
						the_post();

						$post_id      = get_the_ID();
						$post_options = get_post_meta( $post_id, 'reflector_post_options', true );
						$no_image     = ! has_post_thumbnail() ? ' no-image' : '';
						$image_id     = get_post_thumbnail_id( $post_id ); ?>

                        <div <?php post_class( 'post col-xs-12 col-sm-6 col-lg-' . esc_attr( $post_size_class ) . ' format-post-image' ); ?>>
                            <div class="post-wrap-item">
								<?php if ( ! empty( $image_id ) ) {
									$image     = wp_get_attachment_image_url( $image_id, 'large' );
									$image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true ); ?>
                                    <div class="post-media">
										<?php echo reflector_the_lazy_load_flter( $image, array(
											'class' => 'main-image',
											'alt'   => $image_alt
										) ); ?>
                                    </div>
								<?php } ?>

                                <div class="info-wrap">
                                    <div class="date">
                                        <a href="<?php the_permalink(); ?>">
											<?php the_time( get_option( 'date_format' ) ); ?>
                                        </a>
                                    </div>
                                    <a href="<?php the_permalink(); ?>"
                                       class="title"><?php the_title(); ?></a>
                                    <div class="text"><?php the_excerpt(); ?></div>
                                </div>
                            </div>
                        </div>

					<?php endwhile;
					wp_reset_postdata(); ?>

                </div>

				<?php if ( $wp_query->max_num_pages > 1 ) { ?>
                    <div class="pager-pagination">
						<?php echo paginate_links(
							array(
								'prev_text' => __( '<i class="ion-ios-arrow-left"></i> Previous', 'reflector' ),
								'next_text' => __( 'Next <i class="ion-ios-arrow-right"></i>', 'reflector' ),
							)
						); ?>
                    </div>
				<?php } ?>
            </div>
			<?php if ( ( ! function_exists( 'cs_framework_init' ) && is_active_sidebar( 'sidebar' ) ) || ( cs_get_option( 'sidebar' ) && in_array( 'blog', cs_get_option( 'sidebar' ) ) ) ) {
				wp_enqueue_style( 'sidebar', REFLECTOR_T_URI . '/assets/css/blog/sidebar.css' ); ?>

                <div class="col-12 col-lg-4">
                    <div class="sidebar">
				        <?php if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar( 'sidebar' ) ) ?>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</div>