<?php

//Creative Footer


if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}
// page options
$title_insta = cs_get_option('creative_title_insta');
$insta = cs_get_option('creative_insta');
$title_info = cs_get_option('creative_title_info');
$subtitle_info = cs_get_option('creative_subtitle_info');
$info = cs_get_option('creative_info');
$socials = cs_get_option('creative_socials');
$footer_form = cs_get_option('footer_form');
$title_form = cs_get_option('creative_title_form');
$copyright = cs_get_option('footer_text');

$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'reflector_portfolio_options', true );
$meta_data_space = get_post_meta( $post_id, 'reflector_space_options', true );

$class_footer        = ! empty( $meta_data['fixed_transparent_footer'] ) || is_404() || ( ! empty( $meta_data_portfolio['fixed_transparent_footer'] ) ) ? ' fix-bottom' : ''; ?>

<footer id="footer" class="creative <?php echo esc_attr( $class_footer ); ?>">
	<div class="container">
		<div class="row">
			<div class="inner-wrap ">
				<?php if ( $title_insta || $insta ) { ?>
					<div class="footer-bottom">
						<?php if(!empty($title_insta)){ ?>
							<div class="footer-title">
								<?php echo esc_html($title_insta); ?>
							</div>
						<?php }
						if(!empty($insta)){
							$instagram_images = reflector_get_imstagram( $insta, 8 );
							if ( isset( $instagram_images['items']) && ! empty( $instagram_images['items'] ) ) { ?>
								<div class="insta-wrap">
									<?php foreach ( $instagram_images['items'] as $image ) { ?>
										<a href="<?php echo esc_url( $image['link'] ); ?>" class="insta-item ">
											<img src="<?php echo esc_url( $image['image-url'] ); ?>" alt="<?php echo esc_attr($insta);?>" class="s-img-switch">
										</a>
									<?php  } ?>
								</div>
							<?php }
						} ?>

					</div>
				<?php } ?>

				<?php if ( $title_info || $subtitle_info || $info || $socials) { ?>
					<div class="footer-bottom">
						<?php if(!empty($title_info)){ ?>
							<div class="footer-main-title">
								<?php echo esc_html($title_info); ?>
							</div>
						<?php }

						if(!empty($subtitle_info)){ ?>
							<div class="footer-main-subtitle">
								<?php echo esc_html($subtitle_info); ?>
							</div>
						<?php }

						if(!empty($info)){ ?>
							<div class="footer-info">
								<?php echo esc_html($info); ?>
							</div>
						<?php }

						if ( !empty($socials) ) { ?>

							<div class="footer-socials">
								<?php foreach ( $socials as $social ) {
									if ( !empty($social['creative_socials_icon']) && !empty($social['creative_socials_url']) ) { ?>
										<a href="<?php echo esc_url($social['creative_socials_url']); ?>"
										   class="social"><i class="<?php echo esc_attr( $social['creative_socials_icon'] ); ?>"></i></a>
									<?php }
								} ?>

							</div>

						<?php } ?>
					</div>
				<?php }

				if(!empty($footer_form) || !empty($title_form)){ ?>
					<div class="footer-bottom">
						<?php if(!empty($title_form)){ ?>
							<div class="footer-title">
								<?php echo esc_html($title_form); ?>
							</div>
						<?php }

						if ( !empty($footer_form) ) {
							echo do_shortcode('[contact-form-7 id="' . esc_attr($footer_form) . '"]');
						} //endif ?>
					</div>
				<?php } ?>

			</div>
		</div>
		<div class="row">
			<div class="col-12">
				<?php if(!empty($copyright)){ ?>
					<div class="copyright"><?php echo wp_kses_post($copyright); ?></div>
				<?php } ?>
			</div>
		</div>
	</div>

</footer>