<?php

//Modern Footer


if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}
// page options
$title_address = cs_get_option('modern_title_address');
$address = cs_get_option('modern_address');
$title_phone = cs_get_option('modern_title_phone');
$phone = cs_get_option('modern_phone');
$logo = cs_get_option('modern_logo');
$light_footer = cs_get_option('enable_light_footer') ? 'light-footer' : '';

$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'reflector_portfolio_options', true );
$meta_data_space = get_post_meta( $post_id, 'reflector_space_options', true );

$class_footer        = ! empty( $meta_data['fixed_transparent_footer'] ) || is_404() || ( ! empty( $meta_data_portfolio['fixed_transparent_footer'] ) ) ? ' fix-bottom' : '';

$light_footer        = isset($meta_data['enable_light_footer']) && ! empty( $meta_data['enable_light_footer'] ) ? 'light-footer' : $light_footer;
$light_footer        = isset($meta_data_portfolio['enable_light_footer']) && ! empty( $meta_data_portfolio['enable_light_footer'] ) ? 'light-footer' : $light_footer;
$light_footer        = isset($meta_data_space['enable_light_footer']) && ! empty( $meta_data_space['enable_light_footer'] ) ? 'light-footer' : $light_footer;

$class_footer .=  ' ' . $light_footer;
?>

<footer id="footer" class="modern <?php echo esc_attr( $class_footer ); ?>">
    <div class="inner-wrap">
        <?php if ( $title_address || $address ) { ?>
            <div class="footer-bottom-address footer-bottom">
                <div class="footer-item">
                    <h5 class="title"><?php echo esc_html($title_address); ?></h5>
                    <div class="text"><?php echo esc_html($address); ?></div>
                </div>
            </div>
        <?php } ?>

        <?php if ( $logo ) { ?>
            <div class="footer-bottom-logo footer-bottom">
                <div class="footer-item">
                    <img src="<?php echo esc_url($logo); ?>" alt="<?php esc_attr_e('Logo', 'reflector'); ?>">
                </div>
            </div>
        <?php } ?>

        <?php if ( $title_phone || $phone ) { ?>
            <div class="footer-bottom-phone footer-bottom">
                <div class="footer-item">
                    <h5 class="title"><?php echo esc_html($title_phone); ?></h5>
                    <div class="text"><?php echo esc_html($phone); ?></div>
                </div>
            </div>
        <?php } ?>
    </div>
</footer>