<?php
/**
 * Aside menu
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$menu_classes = reflector_fixed_header('aside', $post_id);
$menu_classes .= cs_get_option( 'enable_click' ) ? ' parent-click' : ''; ?>

<div class="header_top_bg  <?php echo esc_attr( $menu_classes ) ?>">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">

                <!-- HEADER -->
                <header class="right-menu aside-menu aside-fix">

                    <!-- MOB MENU ICON -->
                    <a href="#" class="mob-nav">
                        <div class="hamburger">
                            <span class="line"></span>
                            <span class="line"></span>
                            <span class="line"></span>
                        </div>
                    </a>
                    <!-- /MOB MENU ICON -->

                    <!-- LOGO -->
                    <div class="logo-mobile"><?php reflector_site_logo(); ?></div>
                    <!-- /LOGO -->

                    <!-- ASIDE MENU ICON -->
                    <a href="#" class="aside-nav">
                        <span class="aside-nav-line line-1"></span>
                        <span class="aside-nav-line line-2"></span>
                        <span class="aside-nav-line line-3"></span>
                    </a>
                    <!-- /ASIDE MOB MENU ICON -->

                    <!-- NAVIGATION -->
                    <nav id="topmenu" class="topmenu" data-type-menu="aside">
                        <a href="#" class="mob-nav-close">
                            <span><?php esc_html_e( 'close', 'reflector' ); ?></span>
                            <div class="hamburger">
                                <span class="line"></span>
                                <span class="line"></span>
                            </div>
                        </a>

                          <div class="menu-wrap">
                              <?php reflector_custom_menu(); ?>

                              <?php if ( function_exists('WC') ) {
                                  if ( in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) ) {
                                      $count = WC()->cart->cart_contents_count; ?>
                                      <div class="mini-cart-wrapper">
                                          <a class="reflector-shop-icon"
                                             href="<?php echo wc_get_cart_url(); ?>"
                                             title="<?php esc_attr_e('View your shopping cart', 'reflector'); ?>">
                                              <?php if ( $count > 0 ) { ?>
                                                  <span class="cart-contents">
                                                        <span class="cart-contents-count"><?php echo esc_html($count); ?></span>
                                                    </span>
                                              <?php } ?>
                                          </a>

                                      </div>
                                  <?php }
                              } ?>
                          </div>
                    </nav>
                    <!-- NAVIGATION -->
                </header>
            </div>
        </div>
    </div>
</div>