<?php
/**
 * Bottom menu
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$fixed_menu_class = reflector_fixed_header('bottom', $post_id);
$click_in_parent_class = cs_get_option( 'enable_click' ) ? ' parent-click' : ''; ?>

<div class="header_top_bg <?php echo esc_attr( $fixed_menu_class ); echo esc_attr( $click_in_parent_class ); ?>">
	<div class="container-fluid">
		<div class="row">
			<div class="col-12">

				<!-- HEADER -->
				<header class="right-menu simple">

					<!-- MOB MENU ICON -->
					<a href="#" class="mob-nav">
						<div class="hamburger">
							<span class="line"></span>
							<span class="line"></span>
							<span class="line"></span>
						</div>
					</a>
					<!-- /MOB MENU ICON -->
					<div class="logo-mobile"><?php reflector_site_logo(); ?></div>
					<!-- NAVIGATION -->
					<nav id="topmenu" class="topmenu" data-type-menu="bottom">
						<a href="#" class="mob-nav-close">
							<span><?php esc_html_e( 'close', 'reflector' ); ?></span>
							<div class="hamburger">
								<span class="line"></span>
								<span class="line"></span>
							</div>
						</a>


						<?php reflector_site_logo(); ?>
						<div class="menu-wrapper">
							<?php reflector_custom_menu(); ?>
						</div>

						<div class="menu-info-wrap">
							<?php $links = cs_get_option( 'header_social' );
							if ( ! empty( $links ) ) { ?>
								<div class="reflector-top-social">
									<ul class="social">
										<?php foreach ( $links as $link ) { ?>
											<li>
												<a href="<?php echo esc_url( $link['header_social_link'] ); ?>"
												   target="_blank">
													<i class="<?php echo esc_attr( $link['header_social_icon'] ); ?>"></i>
												</a>
											</li>
										<?php } ?>
									</ul>
								</div>
							<?php }

							if ( function_exists('WC') ) {
								if ( in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) ) {
									$count = WC()->cart->cart_contents_count; ?>
									<div class="mini-cart-wrapper">
										<a class="reflector-shop-icon"
										   href="<?php echo wc_get_cart_url(); ?>"
										   title="<?php esc_attr_e('View your shopping cart', 'reflector'); ?>">
											<?php if ( $count > 0 ) { ?>
												<span class="cart-contents">
                                                    <span class="cart-contents-count"><?php echo esc_html($count); ?></span>
                                                </span>
											<?php } ?>
										</a>
									</div>
								<?php }
							} ?>
						</div>
					</nav>
					<!-- NAVIGATION -->
				</header>
			</div>
		</div>
	</div>
</div>
