<?php
/**
 * Full screen menu
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$fixed_menu_class = reflector_fixed_header('full_screen', $post_id);
$click_in_parent_class = cs_get_option( 'enable_click' ) ? ' parent-click' : ''; ?>

<div class="header_top_bg full-screen-menu <?php echo esc_attr( $fixed_menu_class ); echo esc_attr( $click_in_parent_class ); ?>">
	<div class="container-fluid">
		<div class="row">
			<div class="col-12">

				<!-- HEADER -->
				<header class="right-menu">

					<!-- MOB MENU ICON -->
					<a href="#" class="mob-nav">
						<div class="hamburger">
							<span class="line"></span>
							<span class="line"></span>
							<span class="line"></span>
						</div>
					</a>
					<!-- /MOB MENU ICON -->
					<div class="logo-mobile"><?php reflector_site_logo(); ?></div>


					<a href="#" class="full-nav mob-nav">
						<div class="hamburger">
							<?php esc_html_e('Menu', 'reflector'); ?>
						</div>
					</a>

					<!-- NAVIGATION -->
					<nav id="topmenu" class="topmenu" data-type-menu="full_screen">

						<div class="menu-header">

							<a href="#" class="mob-nav-close">
								<span><?php esc_html_e( 'close', 'reflector' ); ?></span>
								<div class="hamburger">
									<span class="line"></span>
									<span class="line"></span>
								</div>
							</a>

							<?php reflector_site_logo(); ?>

							<div class="search-icon-wrapper">
								<i class="fas fa-search open-search"></i>
								<?php do_action( 'reflector_after_footer' ); ?>
							</div>

						</div>

						<div class="menu-wrapper">
							<?php reflector_custom_menu(); ?>
						</div>

						<div class="menu-info-wrap">
							<?php $links = cs_get_option( 'header_social' );
							$social_title = cs_get_option('social_title');

							if ( ! empty( $links ) || !empty($social_title)) { ?>
								<div class="reflector-top-social">
									<?php if(!empty($social_title)){ ?>
										<div class="social-title"><?php echo esc_html($social_title); ?></div>
									<?php }
									if ( ! empty( $links ) ) { ?>
										<ul class="social">
											<?php foreach ( $links as $link ) { ?>
												<li>
													<a href="<?php echo esc_url( $link['header_social_link'] ); ?>"
													   target="_blank">
														<i class="<?php echo esc_attr( $link['header_social_icon'] ); ?>"></i>
													</a>
												</li>
											<?php } ?>
										</ul>
									<?php } ?>
								</div>
							<?php } ?>
						</div>
					</nav>
					<!-- NAVIGATION -->
				</header>
			</div>
		</div>
	</div>
</div>
