<?php
/**
 * Only logo menu.
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}


$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'reflector_portfolio_options', true );
$meta_data_space = get_post_meta( $post_id, 'reflector_space_options', true );

$error_light   = cs_get_option('error_light') && is_404() ? 'menu_light_text' : '';

$fixed_menu_class = reflector_fixed_header( 'only_logo', $post_id ); ?>

<div class="header_top_bg only_logo <?php echo esc_attr($error_light); ?> <?php echo esc_attr( $fixed_menu_class ) ?>">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <!-- HEADER -->
                <header class="top-menu">

                    <!-- MOB MENU ICON -->
                    <a href="#" class="mob-nav">
                        <div class="hamburger">
                            <span class="line"></span>
                            <span class="line"></span>
                            <span class="line"></span>
                        </div>
                    </a>
                    <!-- /MOB MENU ICON -->
                    <div class="logo-mobile"><?php reflector_site_logo(); ?></div>
                    <!-- NAVIGATION -->
                    <nav id="topmenu" class="topmenu" data-type-menu="only_logo">
                        <a href="#" class="mob-nav-close">
                            <span><?php esc_html_e( 'close', 'reflector' ); ?></span>
                            <div class="hamburger">
                                <span class="line"></span>
                                <span class="line"></span>
                            </div>
                        </a>

			            <?php reflector_site_logo(); ?>

                        <div class="menu-wrapper">
				            <?php reflector_custom_menu(); ?>

				            <?php if ( function_exists('WC') ) {
					            if ( in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) ) {
						            $count = WC()->cart->cart_contents_count; ?>
                                    <div class="mini-cart-wrapper">
                                        <a class="reflector-shop-icon"
                                           href="<?php echo wc_get_cart_url(); ?>"
                                           title="<?php esc_attr_e('View your shopping cart', 'reflector'); ?>">
								            <?php if ( $count > 0 ) { ?>
                                                <span class="cart-contents">
                                                        <span class="cart-contents-count"><?php echo esc_html($count); ?></span>
                                                    </span>
								            <?php } ?>
                                        </a>
							            <?php echo reflector_mini_cart(); ?>
                                    </div>
					            <?php }
				            } ?>

                            <div class="search-icon-wrapper">
                                <i class="fas fa-search open-search"></i>
					            <?php do_action( 'reflector_after_footer' ); ?>
                            </div>
                        </div>
                    </nav>
                    <!-- NAVIGATION -->
                </header>
            </div>
        </div>
    </div>
</div>