<?php
/**
 * Static aside menu
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$meta_data = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'reflector_portfolio_options', true );
$meta_data_space = get_post_meta( $post_id, 'reflector_space_options', true );

$bg_static_menu = cs_get_option('bg_static_menu') ? cs_get_option('bg_static_menu') : '';
$bg_static_menu = isset($meta_data['bg_static_menu']) && !empty($meta_data['bg_static_menu']) ? $meta_data['bg_static_menu'] : $bg_static_menu;
$bg_static_menu = isset($meta_data_portfolio['bg_static_menu']) && !empty($meta_data_portfolio['bg_static_menu']) ? $meta_data_portfolio['bg_static_menu'] : $bg_static_menu;
$bg_static_menu = isset($meta_data_space['bg_static_menu']) && !empty($meta_data_space['bg_static_menu']) ? $meta_data_space['bg_static_menu'] : $bg_static_menu;

$copy_text = cs_get_option( 'menu_copy' ) ? cs_get_option( 'menu_copy' ) : ' ';

$menu_classes = reflector_fixed_header('aside', $post_id);
$menu_classes .= cs_get_option( 'enable_click' ) ? ' parent-click' : ''; ?>

<div class="header_top_bg <?php echo esc_attr( $menu_classes ) ?>">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">

                <!-- HEADER -->
                <header class="right-menu aside-menu static">

                    <!-- MOB MENU ICON -->
                    <a href="#" class="mob-nav">
                        <div class="hamburger">
                            <span class="line"></span>
                            <span class="line"></span>
                            <span class="line"></span>
                        </div>
                    </a>
                    <!-- /MOB MENU ICON -->

                    <!-- LOGO -->
                    <div class="logo-mobile"><?php reflector_site_logo(); ?></div>
                    <!-- /LOGO -->

                    <!-- NAVIGATION -->
                    <nav id="topmenu" class="topmenu" data-type-menu="static_aside">

                        <?php if(!empty($bg_static_menu)){ ?>
                            <img src="<?php echo esc_url($bg_static_menu); ?>" alt="<?php esc_attr_e('Background image', 'reflector'); ?>" class="s-img-switch">
                        <?php } ?>

                        <a href="#" class="mob-nav-close">
                            <span><?php esc_html_e( 'close', 'reflector' ); ?></span>
                            <div class="hamburger">
                                <span class="line"></span>
                                <span class="line"></span>
                            </div>
                        </a>

						<?php reflector_custom_menu(); ?>

	                    <?php if ( function_exists('WC') ) {
		                    if ( in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) ) {
			                    $count = WC()->cart->cart_contents_count; ?>
                                <div class="mini-cart-wrapper">
                                    <a class="reflector-shop-icon"
                                       href="<?php echo wc_get_cart_url(); ?>"
                                       title="<?php esc_attr_e('View your shopping cart', 'reflector'); ?>">
					                    <?php if ( $count > 0 ) { ?>
                                            <span class="cart-contents">
                                                        <span class="cart-contents-count"><?php echo esc_html($count); ?></span>
                                                    </span>
					                    <?php } ?>
                                    </a>

                                </div>
		                    <?php }
	                    } ?>

                        <div class="f-right">
                            <div class="copy">
                                <?php echo wp_kses_post( $copy_text ); ?>
                            </div>
                        </div>

                    </nav>
                    <!-- NAVIGATION -->
                </header>
            </div>
        </div>
    </div>
</div>
