<?php
/*
* PORTFOLIO CLASSIC SLIDER
*/

$post_id = get_the_ID();

$size_images = portfolio_images_size( $post_id );

$portfolio_meta       = get_post_meta( $post_id, 'reflector_portfolio_options', true );
$images               = ! empty( $portfolio_meta['slider'] ) ? explode( ',', $portfolio_meta['slider'] ) : '';
$navigation_portfolio = $portfolio_meta['change_nav'] ? $portfolio_meta['navigation_portfolio'] : cs_get_option( 'navigation_portfolio' ); ?>

<div class="container-fluid">

	<!-- GALLERY-->
	<div class="row">
		<div class="col-12">
			<div class="swiper-container slider_classic"
			     data-mode="horizontal" data-autoplay="7000"
			     data-loop="1" data-speed="1500"
			     data-space="15" data-slidesPerView="1">
				<div class="swiper-wrapper">
					<?php if ( ! empty( $images ) ) {
						foreach ( $images as $key => $slide ) :
							$url = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_url( $slide, 'full' ) : '';
							$image_alt = ! empty( $slide ) ? get_post_meta( $slide, '_wp_attachment_image_alt', true ) : '';
							$attachment = get_post( $slide );
							$excerpt      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : '';
							?>

							<div class="swiper-slide full-height-window">

								<div class="slider-wrap">

									<?php if ( ! empty( $url ) ) {
										echo reflector_the_lazy_load_flter( $url, array(
											'class' => 's-img-switch',
											'alt' => $image_alt
										) );
									} ?>

									<div class="content-wrap container">
										<h5 class="portfolio-title">
											<?php echo esc_html($excerpt); ?>
										</h5>
									</div>
								</div>

							</div>
						<?php endforeach;
					} ?>
				</div>
				<div class="swiper-pagination"></div>
			</div>
		</div>
	</div>
</div>
<div class="container">
	<!-- NAVIGATION-->
	<?php if ( $navigation_portfolio ) { ?>
		<div class="row">
			<div class="col-12">
				<div class="single-pagination">
					<?php
					$prev_post = get_previous_post(); ?>

					<div class="pag-prev">

						<?php if ( ! empty( $prev_post ) ) : ?>
							<div><?php esc_html_e( 'Prev', 'reflector' ); ?></div>
							<a href="<?php echo esc_url( get_permalink( $prev_post->ID ) ); ?>">
								<?php echo get_the_title( $prev_post ); ?>
							</a>
						<?php endif; ?>

					</div>

					<?php $next_post = get_next_post(); ?>

					<div class="pag-next">

						<?php if ( ! empty( $next_post ) ) : ?>
							<div><?php esc_html_e( 'Next', 'reflector' ); ?></div>
							<a href="<?php echo esc_url( get_permalink( $next_post->ID ) ); ?>">
								<?php echo get_the_title( $next_post ); ?>
							</a>
						<?php endif; ?>

					</div>
				</div>
			</div>
		</div>
	<?php } ?>
</div>