<?php
/*
* PORTFOLIO GRID
*/

$post_id = get_the_ID();

$portfolio_meta       = get_post_meta( $post_id, 'reflector_portfolio_options', true );
$navigation_portfolio = $portfolio_meta['change_nav'] ? $portfolio_meta['navigation_portfolio'] : cs_get_option( 'navigation_portfolio' ); ?>

<div class="container">

	<!-- GALLERY-->
	<div class="row">
		<div class="col-12">
			<?php the_content(); ?>
		</div>
	</div>

	<!-- NAVIGATION-->
	<?php if ( $navigation_portfolio ) { ?>
		<div class="row">
			<div class="col-12">
				<div class="single-pagination">
					<?php
					$prev_post = get_previous_post(); ?>

					<div class="pag-prev">

						<?php if ( ! empty( $prev_post ) ) : ?>
							<div><?php esc_html_e( 'Prev', 'reflector' ); ?></div>
							<a href="<?php echo esc_url( get_permalink( $prev_post->ID ) ); ?>">
								<?php echo get_the_title( $prev_post ); ?>
							</a>
						<?php endif; ?>

					</div>

					<?php $next_post = get_next_post(); ?>

					<div class="pag-next">

						<?php if ( ! empty( $next_post ) ) : ?>
							<div><?php esc_html_e( 'Next', 'reflector' ); ?></div>
							<a href="<?php echo esc_url( get_permalink( $next_post->ID ) ); ?>">
								<?php echo get_the_title( $next_post ); ?>
							</a>
						<?php endif; ?>

					</div>
				</div>
			</div>
		</div>
	<?php } ?>
</div>