<?php
/*
* PORTFOLIO MASONRY
*/

$post_id = get_the_ID();

$size_images = portfolio_images_size( $post_id );

$portfolio_meta       = get_post_meta( $post_id, 'reflector_portfolio_options', true );
$images               = ! empty( $portfolio_meta['slider'] ) ? explode( ',', $portfolio_meta['slider'] ) : '';
$navigation_portfolio = $portfolio_meta['change_nav'] ? $portfolio_meta['navigation_portfolio'] : cs_get_option( 'navigation_portfolio' );

$gallery_column = isset( $portfolio_meta['gallery_column'] ) ? $portfolio_meta['gallery_column'] : 'column-4';
$gallery_hover  = isset( $portfolio_meta['gallery_hover'] ) ? $portfolio_meta['gallery_hover'] : 'default'; ?>

<div class="container">

	<!-- GALLERY-->
	<div class="row">
		<div class="col-12">
			<div class="light-gallery isotope-container">

				<?php if ( ! empty( $images ) ) {

					foreach ( $images as $image ) {

						$url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_url( $image ) : '';
						$url_size   = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, $size_images ) : '';
						$image_alt  = get_post_meta( $image, '_wp_attachment_image_alt', true );
						$attachment = get_post( $image );
						$excerpt      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : '';
						?>

						<div class="gallery-item-wrap isotope-item <?php echo esc_attr( $gallery_column . ' ' . $gallery_hover ); ?>">
							<a href="<?php echo esc_url( $url ); ?>" class="gallery-item ">
								<?php echo reflector_the_lazy_load_flter( $url_size, array(
									'class' => 'masonry-img',
									'alt'   => $image_alt
								) ); ?>
							</a>
							<?php if ( ! empty( $excerpt ) ) { ?>
								<span class="caption">
                                    <?php echo wp_kses_post( $excerpt ); ?>
                                </span>
							<?php } ?>
						</div>
                    <?php
					}
				} ?>
			</div>
		</div>
	</div>

	<!-- NAVIGATION-->
	<?php if ( $navigation_portfolio ) { ?>
		<div class="row">
			<div class="col-12">
				<div class="single-pagination">
					<?php
					$prev_post = get_previous_post(); ?>

					<div class="pag-prev">

						<?php if ( ! empty( $prev_post ) ) : ?>
							<div><?php esc_html_e( 'Prev', 'reflector' ); ?></div>
							<a href="<?php echo esc_url( get_permalink( $prev_post->ID ) ); ?>">
								<?php echo get_the_title( $prev_post ); ?>
							</a>
						<?php endif; ?>

					</div>

					<?php $next_post = get_next_post(); ?>

					<div class="pag-next">

						<?php if ( ! empty( $next_post ) ) : ?>
							<div><?php esc_html_e( 'Next', 'reflector' ); ?></div>
							<a href="<?php echo esc_url( get_permalink( $next_post->ID ) ); ?>">
								<?php echo get_the_title( $next_post ); ?>
							</a>
						<?php endif; ?>

					</div>
				</div>
			</div>
		</div>
	<?php } ?>
</div>