<?php
/*
* PORTFOLIO PARALLAX
*/

$post_id = get_the_ID();

$size_images = portfolio_images_size( $post_id );

$portfolio_meta       = get_post_meta( $post_id, 'reflector_portfolio_options', true );
$images               = ! empty( $portfolio_meta['slider'] ) ? explode( ',', $portfolio_meta['slider'] ) : '';
$navigation_portfolio = isset($portfolio_meta['change_nav']) && $portfolio_meta['change_nav'] ? $portfolio_meta['navigation_portfolio'] : cs_get_option( 'navigation_portfolio' );
$count = 0;
$excerpt = get_the_excerpt();
if ( ! empty( $images ) ) {
	foreach ( $images as $image ) {
		$url        = ( is_numeric( $image ) && ! empty( $image ) ) ? wp_get_attachment_url( $image ) : '';
		$url_size   = ( is_numeric( $image ) && ! empty( $image ) ) ? wp_get_attachment_image_url( $image, $size_images ) : '';
		$attachment = get_post( $image ); ?>

        <div class="parallax-window full-height-window-hard" data-parallax="scroll" data-position-Y="top"
             data-image-src="<?php echo esc_url( $url_size ); ?>" data-ios-disabled="false"
             data-android-disabled="false">
			<?php
			if ( $count === 0 ) { ?>
                <div class="scroll-down-wrapper">
                    <svg class="arrows btn-scroll-down">
                        <path class="a1" d="M0 0 L15 16 L30 0"></path>
                        <path class="a2" d="M0 10 L15 26 L30 10"></path>
                        <path class="a3" d="M0 20 L15 36 L30 20"></path>
                    </svg>
                </div>
			<?php } ?>
        </div>
		<?php
		$count ++;
	}
} ?>


<div class="container">
    <!-- NAVIGATION-->
    <div class="row">
        <div class="col-12">
            <div class="content-parallax">
                <div class="category-parallax">
					<?php the_terms( $post_id, 'portfolio-category' ); ?>
                </div>
				<?php the_title( '<h3 class="title">', '</h3>' );

				if(!empty($excerpt)){ ?>
                    <div class="excerpt">
						<?php the_excerpt(); ?>
                    </div>
				<?php } ?>
            </div>
        </div>
    </div>
	<?php if ( $navigation_portfolio ) { ?>
        <div class="row">
            <div class="col-12">
                <div class="single-pagination">
					<?php
					$prev_post = get_previous_post(); ?>

                    <div class="pag-prev">

						<?php if ( ! empty( $prev_post ) ) : ?>
                            <div><?php esc_html_e( 'Prev', 'reflector' ); ?></div>
                            <a href="<?php echo esc_url( get_permalink( $prev_post->ID ) ); ?>">
								<?php echo get_the_title( $prev_post ); ?>
                            </a>
						<?php endif; ?>

                    </div>

					<?php $next_post = get_next_post(); ?>

                    <div class="pag-next">

						<?php if ( ! empty( $next_post ) ) : ?>
                            <div><?php esc_html_e( 'Next', 'reflector' ); ?></div>
                            <a href="<?php echo esc_url( get_permalink( $next_post->ID ) ); ?>">
								<?php echo get_the_title( $next_post ); ?>
                            </a>
						<?php endif; ?>

                    </div>
                </div>
            </div>
        </div>
	<?php } ?>
</div>