<?php
/**
 * Content wrappers
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/wrapper-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$template = wc_get_theme_slug_for_templates();

$class_col = 'col-sm-12';
$sidebarWidg = wp_get_sidebars_widgets();
$class_col =  is_active_sidebar('shop_sidebar') && !empty($sidebarWidg['shop_sidebar']) ? 'col-lg-9' : 'col-lg-12';

switch ( $template ) {
	case 'reflector' :

		$reflector_shop_header = '';

		if(is_product()){

		    $main_title = get_the_title(wc_get_page_id( 'shop' ) );
		    $main_url = get_permalink( wc_get_page_id( 'shop' ) );
		    $title = get_the_title();

			$reflector_shop_header .= '<div class="woocommerce-products-header single-breadcrumb">
                                      
                                            <h1 class="woocommerce-products-header__title page-title">'. esc_html($main_title) .'</h1>
                                            <nav class="woocommerce-breadcrumb">
                                                <a href="'. esc_url(home_url('/')) . '">' . esc_html__('Home', 'reflector') . '</a>
                                                &nbsp;/&nbsp;' . '<a href="'. esc_url($main_url) .'">'. esc_html($main_title) .'</a>
                                                &nbsp;/&nbsp;'
                                                . esc_html($title) . '
                                            </nav>
                                                 
                                        </div>';
		}

		$reflector_shop_header .= '<div class="container content-width-lg_in_line full-w">';
            $reflector_shop_header .= '<div class="row flex-row-reverse">';

		    echo wp_kses_post($reflector_shop_header);

		break;
	default :
		echo '<div id="primary" class="content-area"><main id="main" class="site-main" role="main">';
		break;
} ?>


<div class="col-xs-12 <?php echo esc_attr($class_col); ?>">


